WordPress.org

Forums

WP-LESS
Exception error (8 posts)

  1. cwulff
    Member
    Posted 2 years ago #

    Getting the following error when I try to register the less stylesheet. Any thoughts?

    Warning: include() [function.include]: Failed opening '/nas/wp/www/cluster-1324/uugathering/wp-content/advanced-cache.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in /nas/wp/www/cluster-1324/uugathering/wp-settings.php on line 58

    Fatal error: Uncaught exception 'Exception' with message 'parse error: failed at { .span(@index); } /nas/wp/www/cluster-1324/uugathering/wp-content/themes/uugathering/assets/css/less/mixins.less on line 578' in /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php:3144 Stack trace: #0 /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php(2053): lessc_parser->throwError() #1 /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php(114): lessc_parser->parse('//?// Mixins?//...') #2 /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php(690): lessc->tryImport(Array, Object(stdClass), Object(stdClass)) #3 /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php(277): lessc->compileProp(Array, Object(stdClass), Object(stdClass)) #4 /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.i in /nas/wp/www/cluster-1324/uugathering/wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php on line 3144

    http://wordpress.org/extend/plugins/wp-less/

  2. oncletom
    Member
    Plugin Author

    Posted 2 years ago #

    Hi,

    it's a compilation error.
    Maybe your @index value is incorrect and thus your .span mixing generates an invalid behavior.

  3. a2d
    Member
    Posted 2 years ago #

    I had the same error while trying to get WP-Less working with Roots theme

    To fix, replace:
    /wp-content/plugins/wp-less/lib/vendor/lessphp/lessc.inc.php

    and/or if you're embedding the plugin in a theme, replace e.g.:
    /wp-content/themes/[your theme]/lib/wp-less/lib/vendor/lessphp/lessc.inc.php

    with the latest version from the lessphp github repo
    (https://github.com/leafo/lessphp)

    i.e grab the raw file currently here: http://goo.gl/Ffo5W

    Works. Just need to learn 'less' now ;)

  4. oncletom
    Member
    Plugin Author

    Posted 2 years ago #

    OK I should definitely update the LESS library; I'm a bit late in the updates since I relocated.

    Feel free to propose a PR on the github project: https://github.com/oncletom/wp-less

  5. oncletom
    Member
    Plugin Author

    Posted 2 years ago #

    It should be fixed in the 1.5.3 release.

  6. cwulff
    Member
    Posted 1 year ago #

    Seems it needs an update again. :)

  7. oncletom
    Member
    Plugin Author

    Posted 1 year ago #

    I've upgraded the master version of the extension. Let me know if it's solving the problem or breaking something.

    It was definitely an issue planned to be fixed; hence some BC changes so people should update carefully.

  8. cwulff
    Member
    Posted 1 year ago #

    I manually updated the lessc.inc.php and it worked fine.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • WP-LESS
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic